<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::CalorimeterHitData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_calorimeter_hit_data.html">CalorimeterHitData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_calorimeter_hit_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::CalorimeterHitData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for eic::CalorimeterHitData:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_calorimeter_hit_data__coll__graph.png" border="0" usemap="#eic_1_1_calorimeter_hit_data_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_calorimeter_hit_data_coll__map" id="eic_1_1_calorimeter_hit_data_coll__map">
<area shape="rect" id="node2" href="classeic_1_1_vector_x_y_z.html" title="eic::VectorXYZ" alt="" coords="29,5,140,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a122d1213b9ac36d474bbf148de0da4ae"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#a122d1213b9ac36d474bbf148de0da4ae">cellID0</a></td></tr>
<tr class="memdesc:a122d1213b9ac36d474bbf148de0da4ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#a122d1213b9ac36d474bbf148de0da4ae">More...</a><br /></td></tr>
<tr class="separator:a122d1213b9ac36d474bbf148de0da4ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a4aacdb8db53cd74c56a6dce24fd6f9"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#a1a4aacdb8db53cd74c56a6dce24fd6f9">cellID1</a></td></tr>
<tr class="memdesc:a1a4aacdb8db53cd74c56a6dce24fd6f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The second detector specific (geometrical) cell id.  <a href="#a1a4aacdb8db53cd74c56a6dce24fd6f9">More...</a><br /></td></tr>
<tr class="separator:a1a4aacdb8db53cd74c56a6dce24fd6f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad53a67e8bbc5b938819dce12d2eaf821"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#ad53a67e8bbc5b938819dce12d2eaf821">energy</a></td></tr>
<tr class="memdesc:ad53a67e8bbc5b938819dce12d2eaf821"><td class="mdescLeft">&#160;</td><td class="mdescRight">The energy of the hit in [GeV].  <a href="#ad53a67e8bbc5b938819dce12d2eaf821">More...</a><br /></td></tr>
<tr class="separator:ad53a67e8bbc5b938819dce12d2eaf821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8dc3499f402e2d1ec34372b0c506f2d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#ad8dc3499f402e2d1ec34372b0c506f2d">time</a></td></tr>
<tr class="memdesc:ad8dc3499f402e2d1ec34372b0c506f2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time of the hit in [ns].  <a href="#ad8dc3499f402e2d1ec34372b0c506f2d">More...</a><br /></td></tr>
<tr class="separator:ad8dc3499f402e2d1ec34372b0c506f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6b8eb29824604d37dd30be88223d434"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#aa6b8eb29824604d37dd30be88223d434">position</a></td></tr>
<tr class="memdesc:aa6b8eb29824604d37dd30be88223d434"><td class="mdescLeft">&#160;</td><td class="mdescRight">The position of the hit in world coordinates.  <a href="#aa6b8eb29824604d37dd30be88223d434">More...</a><br /></td></tr>
<tr class="separator:aa6b8eb29824604d37dd30be88223d434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a937daf90931d764c772b37d6effd9e37"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit_data.html#a937daf90931d764c772b37d6effd9e37">type</a></td></tr>
<tr class="memdesc:a937daf90931d764c772b37d6effd9e37"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the hit.  <a href="#a937daf90931d764c772b37d6effd9e37">More...</a><br /></td></tr>
<tr class="separator:a937daf90931d764c772b37d6effd9e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Calorimeter hit </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00015">15</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a122d1213b9ac36d474bbf148de0da4ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a122d1213b9ac36d474bbf148de0da4ae">&#9670;&nbsp;</a></span>cellID0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::CalorimeterHitData::cellID0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00017">17</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00052">eic::ConstCalorimeterHit::cellID0()</a>, <a class="el" href="_calorimeter_hit_8cc_source.html#l00054">eic::CalorimeterHit::cellID0()</a>, and <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a1a4aacdb8db53cd74c56a6dce24fd6f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a4aacdb8db53cd74c56a6dce24fd6f9">&#9670;&nbsp;</a></span>cellID1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::CalorimeterHitData::cellID1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00018">18</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00053">eic::ConstCalorimeterHit::cellID1()</a>, <a class="el" href="_calorimeter_hit_8cc_source.html#l00055">eic::CalorimeterHit::cellID1()</a>, and <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>.</p>

</div>
</div>
<a id="ad53a67e8bbc5b938819dce12d2eaf821"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad53a67e8bbc5b938819dce12d2eaf821">&#9670;&nbsp;</a></span>energy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::CalorimeterHitData::energy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The energy of the hit in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00019">19</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00054">eic::ConstCalorimeterHit::energy()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00056">eic::CalorimeterHit::energy()</a>.</p>

</div>
</div>
<a id="aa6b8eb29824604d37dd30be88223d434"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6b8eb29824604d37dd30be88223d434">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> eic::CalorimeterHitData::position</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">21</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00056">eic::ConstCalorimeterHit::position()</a>, <a class="el" href="_calorimeter_hit_8cc_source.html#l00058">eic::CalorimeterHit::position()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00057">eic::ConstCalorimeterHit::x()</a>, <a class="el" href="_calorimeter_hit_8cc_source.html#l00059">eic::CalorimeterHit::x()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00058">eic::ConstCalorimeterHit::y()</a>, <a class="el" href="_calorimeter_hit_8cc_source.html#l00060">eic::CalorimeterHit::y()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00059">eic::ConstCalorimeterHit::z()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00061">eic::CalorimeterHit::z()</a>.</p>

</div>
</div>
<a id="ad8dc3499f402e2d1ec34372b0c506f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8dc3499f402e2d1ec34372b0c506f2d">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::CalorimeterHitData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The time of the hit in [ns]. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00020">20</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00055">eic::ConstCalorimeterHit::time()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00057">eic::CalorimeterHit::time()</a>.</p>

</div>
</div>
<a id="a937daf90931d764c772b37d6effd9e37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a937daf90931d764c772b37d6effd9e37">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::CalorimeterHitData::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The type of the hit. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_data_8h_source.html#l00022">22</a> of file <a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00021">eic::CalorimeterHit::CalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">eic::ConstCalorimeterHit::ConstCalorimeterHit()</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00060">eic::ConstCalorimeterHit::type()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00062">eic::CalorimeterHit::type()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_calorimeter_hit_data_8h_source.html">CalorimeterHitData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
